TITLE function THAT SHOW SYSTEM TIME
include irvine16.inc
ZULQ TEXTEQU <PROC>
.data
mesg byte "system time",0
mesg1 byte "    ",0
mesg2 byte "|",0
x byte 02ch
.code
     main ZULQ
              mov ax,@data
              mov ds,ax
              call clrscr
              call timeshow
              exit
    main endp
    

    timeshow ZULQ
                 push ax
                 push cx
                 push dx
                 mov ah,7
                 mov dl,12
                 mov dh,14
                 call gotoxy
                 mov ah,x
                 int 21
                 mov ax,0
                 mov dx,offset mesg
                 call writestring
                 mov dx,offset mesg1
                 call writestring
                 mov al,ch
                 call writedec
                 mov dx,offset mesg1
                 call writestring
                 mov al,cl
                 call writedec
                 mov dx,offset mesg1
                 call writestring
                 mov al,dh
                 call writedec
                 mov dx,offset mesg1
                 call writestring
                 mov al,dl
                 call writedec

                 pop dx
                 pop cx
                 pop ax




               ret
    timeshow endp


    end main



